package org.diagbot.graph;

import org.diagbot.graph.annotation.FromProperty;
import org.diagbot.graph.annotation.RelationName;
import org.diagbot.graph.annotation.ToProperty;

/**
 * @Auther: fyeman
 * @Date: 2018/9/28/028 09:55
 * @Description:
 */
public class ModelTest {
    @FromProperty(value="name")
    private String child;
    @FromProperty
    private String childAge;
    @ToProperty(value="title")
    private String father;
    @ToProperty
    private String fatherAge;
    @RelationName
    private String relation;

    public ModelTest(String child, String childAge, String father, String fatherAge, String relation) {
        this.child = child;
        this.childAge = childAge;
        this.father = father;
        this.fatherAge = fatherAge;
        this.relation = relation;
    }

    public String getChild() {
        return child;
    }

    public void setChild(String child) {
        this.child = child;
    }

    public String getChildAge() {
        return childAge;
    }

    public void setChildAge(String childAge) {
        this.childAge = childAge;
    }

    public String getFather() {
        return father;
    }

    public void setFather(String father) {
        this.father = father;
    }

    public String getFatherAge() {
        return fatherAge;
    }

    public void setFatherAge(String fatherAge) {
        this.fatherAge = fatherAge;
    }

    public String getRelation() {
        return relation;
    }

    public void setRelation(String relation) {
        this.relation = relation;
    }
}
